about summary refs log tree commit diff stats
path: root/test/js/run_js_tests.sh
diff options
context:
space:
mode:
authorbptato <nincsnevem662@gmail.com>2024-08-15 19:11:49 +0200
committerbptato <nincsnevem662@gmail.com>2024-08-15 19:23:55 +0200
commit4bf895db711f3d4d229d3f18fbb2145cce2a73af (patch)
tree2e81c7399de03aebb9dfa166eba6ee809a75cd2e /test/js/run_js_tests.sh
parent885a3493b6cad4b4247a200928fe61e41883aaba (diff)
downloadchawan-4bf895db711f3d4d229d3f18fbb2145cce2a73af.tar.gz
xhr: more progress
* add responseText, response
* add net tests
	-> currently sync XHR only; should find a way to do async
	   tests...
* update monoucha
	-> simplified & updated some related code that no longer worked
	   properly
Diffstat (limited to 'test/js/run_js_tests.sh')
-rwxr-xr-xtest/js/run_js_tests.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/js/run_js_tests.sh b/test/js/run_js_tests.sh
index ac531a67..3f484449 100755
--- a/test/js/run_js_tests.sh
+++ b/test/js/run_js_tests.sh
@@ -1,11 +1,11 @@
 #!/bin/sh
-if ! test "$CHA_TEST_BIN"
-then	test -f ../../cha && CHA_TEST_BIN=../../cha || CHA_TEST_BIN=cha
+if ! test "$CHA"
+then	test -f ../../cha && CHA=../../cha || CHA=cha
 fi
 failed=0
 for h in *.html
 do	printf '%s\r' "$h"
-	if ! "$CHA_TEST_BIN" -C config.toml "$h" | diff all.expected -
+	if ! "$CHA" -dC config.toml "$h" | diff all.expected -
 	then	failed=$(($failed+1))
 		printf 'FAIL: %s\n' "$h"
 	fi